Bug 1183001 (kdecoration) - Review Request: kdecoration - Plugin-based library to create window decorations
Summary: Review Request: kdecoration - Plugin-based library to create window decorations
Keywords:
Status: CLOSED RAWHIDE
Alias: kdecoration
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-01-16 11:43 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-29 15:01:17 UTC
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2015-01-16 11:43:45 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kdecoration.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kdecoration-5.1.95-1.beta.fc21.src.rpm
Description: Plugin-based library to create window decorations
Fedora Account System Username: dvratil

Comment 1 Kevin Kofler 2015-01-16 22:21:01 UTC
> sed -i "s/set(KDECORATION2_INCLUDEDIR \"\${CMAKE_INSTALL_INCLUDEDIR}\/KDecoration2\")//" CMakeLists.txt
> sed -i "s/\${KDECORATION2_INCLUDEDIR}/\${KF5_INCLUDE_INSTALL_DIR}\/KDecoration2/g" src/CMakeLists.txt src/private/CMakeLists.txt

Why not simply:
sed -i "s/set(KDECORATION2_INCLUDEDIR \"\${CMAKE_INSTALL_INCLUDEDIR}\/KDecoration2\")/set(KDECORATION2_INCLUDEDIR \"\${KF5_INCLUDE_INSTALL_DIR}\/KDecoration2\")/" CMakeLists.txt
?

Comment 2 Daniel Vrátil 2015-01-20 11:44:12 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kdecoration.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kdecoration-5.1.95-2.beta.fc21.src.rpm

Simplified the sed replacement, thanks Kevin.

Comment 3 Jan Grulich 2015-01-22 11:50:50 UTC
Rpmlint
-------
Checking: kdecoration-5.1.95-2.beta.fc20.x86_64.rpm
          kdecoration-devel-5.1.95-2.beta.fc20.x86_64.rpm
          kdecoration-5.1.95-2.beta.fc20.src.rpm
kdecoration.x86_64: W: spelling-error Summary(en_US) libraty -> library, Libra
kdecoration.x86_64: W: spelling-error %description -l en_US libraty -> library, Libra
kdecoration-devel.x86_64: W: only-non-binary-in-usr-lib
kdecoration-devel.x86_64: W: no-documentation
kdecoration.src: W: spelling-error Summary(en_US) libraty -> library, Libra
kdecoration.src: W: spelling-error %description -l en_US libraty -> library, Libra
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

1) You have a typo in description
2) Wrong url

No other issue spotted and none from mentioned issues is blocking, APPROVED.

Comment 4 Daniel Vrátil 2015-01-22 14:11:43 UTC
New Package SCM Request
=======================
Package Name: kdecoration
Short Description: Plugin-based library to create window decorations
Upstream URL: https://projects.kde.org/projects/kde/workspace/kdecoration
Owners: group::kde-sig
Branches:
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-22 17:11:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.